List edges for a lineage
GET
/v1/lineage/edgescurl -X GET 'https://api.embodiflow.io/v1/lineage/edges' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
查询参数
- pageSizenumber
Page size (default 25, maximum 100). Over-maximum is refused.
- pageTokenstring
Opaque page token from the previous response.
- fromObjectIdstring (uuid)
- toObjectIdstring (uuid)
- edgeKindstring
- workflowRunIdstring (uuid)
响应
Success
- dataarray<LineageEdgeSummaryDto>必填
- idstring必填
- tenantIdstring必填
- fromObjectIdstring必填
- toObjectIdstring必填
- edgeKindstring必填
- workflowRunIdstring | null必填
- metadataobject | null必填
- createdAtstring必填
- metaobject必填
- pageSizenumber必填
- requestIdstring
- nextPageTokenstring
Opaque AIP-158 page token. Omitted when the collection is exhausted.
响应示例
{
"data": [
{
"id": "string",
"tenantId": "string",
"fromObjectId": "string",
"toObjectId": "string",
"edgeKind": "string",
"workflowRunId": "string",
"metadata": {},
"createdAt": "string"
}
],
"meta": {
"pageSize": 0,
"requestId": "string"
},
"nextPageToken": "string"
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1